package com.liquidnet.common.third.zxlnft.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: EasemobConfig
 * @Package com.liquidnet.common.third.easemob.config
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/7 10:42
 */
@Configuration
public class ZxlnftConfig {
    @Value("${liquidnet.zxlnft.appId:'220214000100001'}")
    private String appId;
    @Value("${liquidnet.zxlnft.appKey:'82b561110c4b4f4d91ad2a2b0d5b7908'}")
    private String appKey;
    @Value("${liquidnet.zxlnft.nftPlatformAddress:ZXa66c8a684727d0f9aaa434044362aa8a18b61bb4}")
    private String nftPlatformAddress;
    @Value("${liquidnet.zxlnft.walletSdkUrl:'http://127.0.0.1:30505'}")
    private String walletSdkUrl;
    @Value("${liquidnet.zxlnft.nftApiUrl:'https://nfttest2.zxinchain.com'}")
    private String nftApiUrl;

    public String getAppId(){
        return appId;
    }

    public String getAppKey() {
        return appKey;
    }

    public String getNftPlatformAddress() {
        return nftPlatformAddress;
    }

    public String getWalletSdkUrl(){
        return walletSdkUrl;
    }

    public String getNftApiUrl(){
        return nftApiUrl;
    }

}

